Bug 297130 - Version controlled wiki
Summary: Version controlled wiki
Status: RESOLVED INTENTIONAL
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 18:37 UTC by Heath Matlock
Modified: 2012-04-01 11:08 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heath Matlock 2012-03-30 18:37:42 UTC
It would be nice to use something like gitit for our wiki. Converting the existing MediaWiki's markup to Markdown would be a way to start this as Gitit uses Pandoc's extended version of Markdown by default.
Comment 1 Ingo Malchow 2012-03-30 19:52:16 UTC
Can you ellaborate on what benefits we would have with that? Changing from one wiki to another basically doesn't make much sense just because one is more used to the other. We have many editors who got used to the mediawiki way over the years.
And having a quick look at Gitit and/or Markdown doesn't show me anything that is not possible with Mediawiki in one way or the other.
Comment 2 Heath Matlock 2012-03-30 20:32:31 UTC
(In reply to comment #1)
> Can you ellaborate on what benefits we would have with that? Changing from
> one wiki to another basically doesn't make much sense just because one is
> more used to the other. We have many editors who got used to the mediawiki
> way over the years.
> And having a quick look at Gitit and/or Markdown doesn't show me anything
> that is not possible with Mediawiki in one way or the other.

It gives you version control of the wiki and the option of not needing a browser to edit pages.
Comment 3 Ingo Malchow 2012-03-30 20:35:34 UTC
Mediawiki has history and revision support build in as well, though a rather simple one, not as matured as git.
Also, you can export pages or even namespaces and edit offline and reimport. Third, you can do all of that via the API, which enables you to write a commandline script or desktop app. Of course, that would need to be written first.

Thus, i am not really convinced yet, sorry.
Comment 4 Claus Christensen 2012-03-31 14:05:08 UTC
One absolutely crucial feature of our current setup is the support for translation through the Translate extension. Before even considering another system we should make sure that the proposed replacement has features at least comparable to the existing ones.
Comment 5 Lydia Pintscher 2012-04-01 09:47:38 UTC
Agreed with Claus. It'd be nice to have but the burden of moving and the awesome stuff we'd lose don't make it worth it imho.
Comment 6 Ingo Malchow 2012-04-01 11:08:56 UTC
Ok, without further convincing arguments i close that as WONTFIX